﻿Imports Microsoft.Xna.Framework
Imports Microsoft.Xna.Framework.Graphics
Imports Microsoft.Xna.Framework.Audio
Imports Microsoft.Xna.Framework.Content
Imports Microsoft.Xna.Framework.Media
Imports Microsoft.Xna.Framework.Input

Public Class Game
    Inherits Microsoft.Xna.Framework.Game
    'Fields in our game graphic manager etc'
    Dim graphics As GraphicsDeviceManager
    '
    Dim font1 As SpriteFont
    Dim msg As String
    '
    Dim spriteBatch As SpriteBatch
    '
    'Texture that we will render'
    Private mTexture As Texture2D
    'Set the coordinates to draw the sprite at'
    Private spritePos As Vector2 = Vector2.Zero
    'X and Y speed of the sprite'
    Private XSpeed As Single = 80
    Private YSpeed As Single = 120
    'Vector2 used for the speed of the sprite'
    Private spriteSpeed As New Vector2(XSpeed, YSpeed)
    Public Sub New()
        graphics = New GraphicsDeviceManager(Me)
        'graphics.ToggleFullScreen()

    End Sub

    Protected Overrides Sub Initialize()
        'TODO: Add your initialization logic here'
        MyBase.Initialize()
        msg = "hello world"
    End Sub
    Protected Overrides Sub LoadContent()
        ' TODO: use this.Content to load your game content here'
        MyBase.LoadContent()
        ' Create a new SpriteBatch, which can be used to draw textures.'
        spriteBatch = New SpriteBatch(GraphicsDevice)
        'Loading the texture'
        mTexture = Content.Load(Of Texture2D)("bille")
        'lets create a font
        font1 = Content.Load(Of SpriteFont)("myfont")
        

    End Sub
    Protected Overrides Sub UnloadContent()
        MyBase.UnloadContent()
        'TODO: Unload any non ContentManager content here'
    End Sub
    Protected Overrides Sub Update(ByVal gameTime As Microsoft.Xna.Framework.GameTime)
        'Allows the game to exit'
        If GamePad.GetState(PlayerIndex.One).Buttons.Back = ButtonState.Pressed Then
            Me.Exit()
        End If
        'TODO: Add your update logic here'
        
        updateinput(gameTime)

        MyBase.Update(gameTime)

    End Sub
    Protected Overrides Sub Draw(ByVal gameTime As Microsoft.Xna.Framework.GameTime)
        GraphicsDevice.Clear(Color.CornflowerBlue)
        'TODO: Add your drawing code here'
        'Draw the sprite'
        spriteBatch.Begin(SpriteSortMode.BackToFront, BlendState.AlphaBlend)
        spriteBatch.DrawString(font1, msg, New Vector2(20.0F, 20.0F), Color.White)
        spriteBatch.Draw(mTexture, spritePos, Color.White)
        spriteBatch.End()
        MyBase.Draw(gameTime)
    End Sub

    
    Private Sub updateinput(ByVal gameTime As GameTime)
        Dim newState As KeyboardState
        newState = Keyboard.GetState

        If (newState.IsKeyDown(Keys.Right)) Then
            spritePos.X = spritePos.X + 10
            msg = "right " & spritePos.X & "," & spritePos.Y
        End If

        If (newState.IsKeyDown(Keys.Left)) Then
            spritePos.X = spritePos.X - 10
            msg = "left " & spritePos.X & "," & spritePos.Y
        End If

        If (newState.IsKeyDown(Keys.Up)) Then
            spritePos.Y = spritePos.Y - 10
            msg = "up " & spritePos.X & "," & spritePos.Y
        End If

        If (newState.IsKeyDown(Keys.Down)) Then
            spritePos.Y = spritePos.Y + 10
            msg = "down " & spritePos.X & "," & spritePos.Y
        End If
    End Sub
End Class

